package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广码 服务类
* </p>
*
* @author quyixiao
* @since 2025-12-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterCodeDao;
import com.heyu.api.data.entity.vv.VvPromoterCodeEntity;
import com.heyu.api.data.service.vv.VvPromoterCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterCodeServiceImpl extends ServiceImpl<VvPromoterCodeDao, VvPromoterCodeEntity> implements VvPromoterCodeService {


    @Autowired
	private VvPromoterCodeDao vvPromoterCodeDao;



	@Override
	public VvPromoterCodeEntity selectVvPromoterCodeById(Long id){
		return vvPromoterCodeDao.selectVvPromoterCodeById(id);
	}



	@Override
	public Long insertVvPromoterCode(VvPromoterCodeEntity vvPromoterCode){
		return vvPromoterCodeDao.insertVvPromoterCode(vvPromoterCode);
	}



	@Override
	public Long insertOrUpdateVvPromoterCode(VvPromoterCodeEntity vvPromoterCode){
		return vvPromoterCodeDao.insertOrUpdateVvPromoterCode(vvPromoterCode);
	}



	@Override
	public int updateVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode){
		return vvPromoterCodeDao.updateVvPromoterCodeById(vvPromoterCode);
	}



	@Override
	public int updateCoverVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode){
		return vvPromoterCodeDao.updateCoverVvPromoterCodeById(vvPromoterCode);
	}



	@Override
	public int deleteVvPromoterCodeById(Long id){
		return vvPromoterCodeDao.deleteVvPromoterCodeById(id);
	}



}
